Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMCoin

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMCoin

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  QDMAbstract, QDMBean, QDMInterface, QDMLink, QDMText

public abstract class QDMCoin
extends QDMCloneable

Models the element coin, which represents a family of elements in QDML that are used to define XML elements and attributes. Corrispondingly, QDMCoin serves as a base class for classes which model that family of QDML elements. (The inheritance model used by QDML is the same model used by Java.)

Field Summary
`ArrayList` | `extensions` A list of all the coins which extend this one.
`boolean` | `generate` Models the generate attribute, an optional attribute which defaults to true.
`ArrayList` | `implementations` A list of all the coins which implement this one.
`String` | `label` Models the attribute label, a required attribute on the coin element.
`ArrayList` | `remList` A container for QDMRem objects, which model rem elements.

Constructor Summary
`QDMCoin()`

Method Summary
`void` | `addDecendants(ArrayList bl)`
`void` | `buildMaps(Map coinMap, Map contentMap)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`boolean` | `derivesFromOther(String label, TreeMap coinMap)`
`ArrayList` | `getConcreteDecendants()`
`String` | `getLabel()` Returns the unique (within the scope of the QDML document) name of the coin, as specified by the coin's label.
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### label

    public String label

  Models the attribute label, a required attribute on the coin element. The label uniquely (within a document) names a coin.

### generate

    public boolean generate

  Models the generate attribute, an optional attribute which defaults to true. When set to false, the production of Java code for the class described by the coin is inhibited.

### remList

    public ArrayList remList

  A container for QDMRem objects, which model rem elements. The rem elements are optional and repeating. When a class is generated from the coin, the rem elements are used to produce the JavaDoc comment which describes the class.

### extensions

    public transient ArrayList extensions

  A list of all the coins which extend this one. This list is populated when the data model is initialized.

### implementations

    public transient ArrayList implementations

  A list of all the coins which implement this one. This list is populated when the data model is initialized.

Constructor Detail

### QDMCoin

    public QDMCoin()

Method Detail

### clone

    public Object clone()

  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QDMCloneable`

### getLabel

    public String getLabel()

  Returns the unique (within the scope of the QDML document) name of the coin, as specified by the coin's label.

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap)
                   throws SAXException

  Builds the maps. This method is called during initialization of the data model.

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Resolve references, inheritance. This method is called during initialization of the data model.

### addDecendants

    public void addDecendants(ArrayList bl)

### getConcreteDecendants

    public ArrayList getConcreteDecendants()

### derivesFromOther

    public boolean derivesFromOther(String label,
                                    TreeMap coinMap)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD